<template>
	<view>
		<view class="CommissionRank">
		    <view class="header">
		      <view class="rank" v-if="position">您目前的排名第<text class="num">{{position }}</text>名</view>
		      <view class="rank" v-else>您目前暂无排名</view>
		    </view>
		    <view class="wrapper">
		      <view class="nav acea-row row-around">
		        <view class="item" :class="active == index ? 'font-color' : ''" v-for="(item,index) in navList" :key="index" @click="switchTap(index)">
		          {{ item }}
		        </view>
		      </view>
		      <view class="list">
		      <view class="item acea-row row-between-wrapper" v-for="(item,index) in rankList" :key="index">
		        <view class="num" v-if="index <= 2">
		          <image :src="'/static/images/medal0'+(index+1)+'.png'"></image>
		        </view>
		        <view class="num" v-else>
		        {{index+1}}
		        </view>
		        <view class="picTxt acea-row row-between-wrapper">
		          <view class="pictrue"><image :src="item.avatar ? item.avatar : '/static/images/f.png'"></image></view>
		          <view class="text line1">{{item.nickname}}</view>
		        </view>
		        <view class="people font-color">￥{{item.count}}</view>
		      </view>
		    </view>
		    </view>
		  </view>
		  <!-- #ifdef MP -->
		  <authorize @onLoadFun="onLoadFun" :isAuto="isAuto" :isShowAuth="isShowAuth" @authColse="authColse"></authorize>
		  <!-- #endif -->
	</view>
</template>

<script>
	import { getBrokerageRank } from '@/api/user.js';
	import {
		toLogin
	} from '@/libs/login.js';
	 import {
	 	mapGetters
	 } from "vuex";
	 // #ifdef MP
	 import authorize from '@/components/Authorize';
	 // #endif
	export default {
		components: {
			// #ifdef MP
			authorize
			// #endif
		},
		data() {
			return {
				navList: ["周排行", "月排行"],
				    active: 0,
				    rankList:[],
				    page:1,
				    limit:10,
				    loadend:false,
				    loading:false,
				    loadTitle:'加载更多',
				    type:'week',
				    position:0,
				isAuto: false, //没有授权的不会自动授权
				isShowAuth: false //是否隐藏授权
			};
		},
		computed: mapGetters(['isLogin']),
		onLoad(){
			if(this.isLogin){
				 this.getBrokerageRankList();
			}else{
				// #ifdef H5 || APP-PLUS
				toLogin();
				// #endif 
				// #ifdef MP
				this.isAuto = true;
				this.$set(this,'isShowAuth',true)
				// #endif
			}
		},
		methods: {
			 onLoadFun:function(){
					this.isShowAuth = false;
			    this.getBrokerageRankList();
			  },
			// 授权关闭
			authColse:function(e){
				this.isShowAuth = e
			},
			switchTap:function(index){
				this.active = index;
				this.type = index ? 'month': 'week';
				this.page = 1;
				this.loadend = false;
				this.$set(this,'rankList',[]);
			    this.getBrokerageRankList();
			  },
			  getBrokerageRankList:function(){
			      if(this.loadend) return;
			      if(this.loading) return;
				  this.loading = true;
				  this.loadTitle = '';
			      getBrokerageRank({
			        page:this.page,
			        limit:this.limit,
			        type:this.type
			      }).then(res=>{
			        let list = res.data.list;
			        let loadend = list.length < this.limit;
			        this.rankList.push.apply(this.rankList, list);
					this.loading = false;
					this.loadend = loadend;
					this.loadTitle = loadend ? '😕我也是有底线的':'加载更多';
					this.$set(this,'rankList',this.rankList);
					this.position = res.data.position;
			      }).catch(err=>{
					  this.loading = false;
					  this.loadTitle = '加载更多';
			      })
			    }
		},
		 onReachBottom: function () {
		    this.getBrokerageRankList();
		  }
	}
</script>

<style scoped lang="scss">
	.CommissionRank .header {background: url("data:image/jpeg;base64,[encoded data, 27844 characters]") no-repeat;
	  width: 100%;height: 344rpx;background-size: 100% 100%;}
	.CommissionRank .header .rank {font-size: 33rpx;color: #fff;position: absolute;top: 160rpx;left: 48rpx;}
	.CommissionRank .header .rank .num {font-size: 51rpx;font-weight: bold;margin: 0 10rpx;}
	.CommissionRank .wrapper {width: 710rpx;background-color: #fff;border-radius: 20rpx;margin: -76rpx auto 0 auto;}
	.CommissionRank .wrapper .nav {height: 99rpx;border-bottom: 2.5rpx solid #f3f3f3;font-size: 30rpx;font-weight: bold;color: #999;line-height: 99rpx;}
	.CommissionRank .wrapper .nav .item.font-color {border-bottom: 4rpx solid #e93323;}
	.CommissionRank .wrapper .list {padding: 0 30rpx;}
	.CommissionRank .wrapper .list .item {border-bottom: 1px solid #f3f3f3;height: 101rpx;font-size: 28rpx;}
	.CommissionRank .wrapper .list .item .num {color: #666;width: 70rpx;}
	.CommissionRank .wrapper .list .item .num image {width: 34rpx;height: 40rpx;display: block;}
	.CommissionRank .wrapper .list .item .picTxt {width: 350rpx;}
	.CommissionRank .wrapper .list .item .picTxt .pictrue {width: 68rpx;height: 68rpx;}
	.CommissionRank .wrapper .list .item .picTxt .pictrue image {width: 100%;height: 100%;display: block;border-radius: 50%;}
	.CommissionRank .wrapper .list .item .picTxt .text {width: 262rpx;color: #333;}
	.CommissionRank .wrapper .list .item .people {width: 175rpx;text-align: right;}
</style>
